Necesito ayuda para corregir un directorio erroneo

Imagen de voyager_571
0 puntos

Vereis , os muestro mi lista apt/sources .list y os comento :

e http://help.ubuntu.com/community/UpgradeNotes for how to upgrade to
# newer versions of the distribution.

deb http://es.archive.ubuntu.com/ubuntu/ feisty main restricted
deb-src http://es.archive.ubuntu.com/ubuntu/ feisty main restricted

## Major bug fix updates produced after the final release of the
## distribution.
deb http://es.archive.ubuntu.com/ubuntu/ feisty-updates main restricted universe
deb-src http://es.archive.ubuntu.com/ubuntu/ feisty-updates main restricted

## N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu
## team, and may not be under a free licence. Please satisfy yourself as to
## your rights to use the software. Also, please note that software in
## universe WILL NOT receive any review or updates from the Ubuntu security
## team.
deb http://es.archive.ubuntu.com/ubuntu/ feisty universe
deb-src http://es.archive.ubuntu.com/ubuntu/ feisty universe

## N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu
## team, and may not be under a free licence. Please satisfy yourself as to
## your rights to use the software. Also, please note that software in
## multiverse WILL NOT receive any review or updates from the Ubuntu
## security team.
deb http://es.archive.ubuntu.com/ubuntu/ feisty multiverse
deb-src http://es.archive.ubuntu.com/ubuntu/ feisty multiverse

## Uncomment the following two lines to add software from the 'backports'
## repository.
## N.B. software from this repository may not have been tested as
## extensively as that contained in the main release, although it includes
## newer versions of some applications which may provide useful features.
## Also, please note that software in backports WILL NOT receive any review
## or updates from the Ubuntu security team.
# deb http://es.archive.ubuntu.com/ubuntu/ feisty-backports main restricted universe multiverse
# deb-src http://es.archive.ubuntu.com/ubuntu/ feisty-backports main restricted universe multiverse

deb http://security.ubuntu.com/ubuntu feisty-security main restricted
deb-src http://security.ubuntu.com/ubuntu feisty-security main restricted
deb http://security.ubuntu.com/ubuntu feisty-security universe
deb-src http://security.ubuntu.com/ubuntu feisty-security universe
deb http://security.ubuntu.com/ubuntu feisty-security multiverse
deb-src http://security.ubuntu.com/ubuntu feisty-security multiverse
wget http://www.getautomatix.com/keys/automatix2.key

gpg --import automatix2.key

 

Necesito vuestra yuda para que me indiqueis como quitar las dos ultimas , la wget de Automatix y la gpg si no no puedo actualizar nada pues el wget sobra y Adept se bloquea , ¿cómo puedo quitarlo ?

Imagen de Goyo
+1
0
-1

Haz esto en una consola o terminal. EL primer comando hace una copia de seguridad (por si acaso) y el segundo abre el archivo para editarlo.

$ sudo cp /etc/apt/sources.list /etc/apt/sources.list.bkp
$ sudo kate /etc/apt/sources.list

Creo que kate es el editor predeterminado de KDE, puedes sustituirlo por tu editor favorito. 

+1
0
-1
Imagen de voyager_571
+1
0
-1

luis@LUFYTERIX2:~$ sudo kate/etc/apt/sources.list
Password:
sudo: kate/etc/apt/sources.list: command not found
luis@LUFYTERIX2:~$ sudo kate /etc/apt/sources.list
X Error: BadDevice, invalid or uninitialized input device 169
Major opcode: 145
Minor opcode: 3
Resource id: 0x0
Failed to open device
X Error: BadDevice, invalid or uninitialized input device 169
Major opcode: 145
Minor opcode: 3
Resource id: 0x0
Failed to open device
Xlib: connection to ":0.0" refused by server
Xlib: No protocol specified

kdeinit: Can't connect to the X Server.
kdeinit: Might not terminate at end of session.
Xlib: connection to ":0.0" refused by server
Xlib: No protocol specified

kded: cannot connect to X server :0.0
DCOP aborting call from 'anonymous-6623' to 'kded'
kded: ERROR: Communication problem with kded, it probably crashed.

+1
0
-1

Sistema operativo actual Ubuntu 10.04 Lucyd Linx

Imagen de Goyo
+1
0
-1

No sé cuál puede ser el problema. Tienes que averiguar cómo editar archivos con privilegios de root en KDE. Yo uso Ubuntu con gnome. Debes hacerlo en un terminal en modo gráfico, no vale la consola virtual que sale al pulsar ctrl+F1, creo que esto no lo expliqué bien antes.

También puedes usar un editor de consola como nano. Te resultará menos familiar pero creo que serás capaz de usarlo:

$ sudo nano /etc/apt/sources.list
+1
0
-1
Imagen de el64
+1
0
-1

Pues igual que las pusiste. Editas el archivo escribiendo en una terminal:
sudo kate /etc/apt/sources.list
(o el editor que sea en lugar de kate) y le borras lo que sobra.
_________________________
Mas información en... el64.blogspot.com
_________________________
CUIDADO: NO COMPRES dispositivos con DRM.
+1
0
-1
_________________________
Mas información en... el64.blogspot.com
_________________________
CUIDADO: NO COMPRES dispositivos con DRM.